Summary: Basic networking tools for Linux
Name: net-tools
Version: 2.10
Release: 4%{?dist}
License: GPLv2+
URL: https://sourceforge.net/projects/net-tools/
Source0: https://sourceforge.net/projects/net-tools/files/net-tools-%{version}.tar.xz

Patch0001: 0001-remove-unused-binary-from-config.patch
Patch0002: 0002-add-ether-wake-source.patch

BuildRequires: make gcc
BuildRequires: bluez-libs-devel libselinux-devel
BuildRequires: gettext libselinux help2man

Requires: hostname
Recommends: traceroute >= 2.0.0
Provides: net_tool = %{version}
Obsoletes: net_tool < %{version}

%description
The net-tools package provides basic networking tools,
including ifconfig, netstat, route, and others.
Most of them are obsolete. For replacement check iproute package, the substitution
are as follows:
  * ifconfig -> ip a
  * netstat -> ss [-r]
  * route -> ip r


%prep
%autosetup -p1

%build
%make_build config
%make_build 

%install
%make_install BINDIR=%{_bindir} SBINDIR=%{_sbindir}

# remove rarp as it is not useful
rm -fv %{buildroot}%{_prefix}/*bin/rarp
rm -fv %{buildroot}/%{_mandir}/man*/rarp.*
rm -fv %{buildroot}/%{_mandir}/*/man*/rarp.*

# Fix manpage locations
mv %{buildroot}/%{_mandir}/de_DE %{buildroot}/%{_mandir}/de
mv %{buildroot}/%{_mandir}/fr_FR %{buildroot}/%{_mandir}/fr

# Generate missing manpages
for tool in iptunnel ipmaddr; do
  t="%{buildroot}/%{_mandir}/man8/${tool}.8"
  help2man -s8 "%{buildroot}%{_sbindir}/${tool}" --no-discard-stderr >"${t}"
done

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc README ABOUT-NLS
%{_bindir}/ifconfig
%{_bindir}/netstat
%{_bindir}/route
%{_sbindir}/arp
%{_sbindir}/ipmaddr
%{_sbindir}/iptunnel
%{_sbindir}/ether-wake
%{_sbindir}/nameif
%{_sbindir}/plipconfig
%{_sbindir}/slattach
%{_mandir}/man[58]/*
%{_mandir}/de/man[58]/*
%{_mandir}/fr/man[58]/*
%{_mandir}/pt_BR/man8/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 Yi Lin <nilusyi@tencent.com> - 2.10-1
- package init.
